%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate fancy-regex

Name:           rust-fancy-regex0.7
Version:        0.7.1
Release:    2%{?dist}
Summary:        Implementation of regexes, supporting a relatively rich set of features

License:        MIT
URL:            https://crates.io/crates/fancy-regex
Source0:         %{crates_source}
Patch:          fancy-regex-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Implementation of regexes, supporting a relatively rich set of features,
including backreferences and look-around.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/PERFORMANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+track_caller-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+track_caller-devel %{_description}

This package contains library source intended for building other packages which
use the "track_caller" feature of the "%{crate}" crate.

%files       -n %{name}+track_caller-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.7.1-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
